From 494fb93e6a0a85978ae730bb3f1a67ebdfa27e42 Mon Sep 17 00:00:00 2001
From: Shaily <shaily15297@yahoo.com>
Date: Feb 05 2018 14:33:19 +0000
Subject: [PATCH 18/32] Issues: Fix bug in cache invalidation


---

diff --git a/hubs/widgets/issues/functions.py b/hubs/widgets/issues/functions.py
index cf19bab..cf34813 100644
--- a/hubs/widgets/issues/functions.py
+++ b/hubs/widgets/issues/functions.py
@@ -72,7 +72,8 @@ class GetPagureIssues(CachedFunction):
            message['topic'].endswith('pagure.issue.assigned.added') or \
            message['topic'].endswith('pagure.issue.assigned.reset') or \
            message['topic'].endswith('pagure.issue.drop'):
-            return message['msg']['user' if mode == 'author' else 'assignee']['name'] == username
+            entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
+            return entry and entry['name'] == username
 
     def should_invalidate_on_hub_config_change(self, old_config):
         return old_config['pagure_username'] != self.instance.hub.config['pagure_username']
@@ -107,7 +108,8 @@ class GetGithubIssues(CachedFunction):
            message['topic'].endswith('github.issue.reopened') or \
            message['topic'].endswith('github.issue.edited') or \
            message['topic'].endswith('github.issue.closed'):
-            return message['msg']['issue']['user' if mode == 'author' else 'assignee']['login'] == username
+            entry = message['msg']['issue']['user' if mode == 'author' else 'assignee']
+            return entry and entry['login'] == username
 
     def should_invalidate_on_hub_config_change(self, old_config):
         return old_config['github_username'] != self.instance.hub.config['github_username']

